# BallonSonde Project 2023
This aim to group all ressources to create the PoC

## Hardware requirements
   * GNU/Linux Debian 
   * a RaspberryPi Zero 1.3 with nothing more (no WiFi, no BT)

## Software requirement

For the RaspberryPi
```
apt update
apt upgrade
apt install bpython3 python3-venv python3-serial supervisor libopenjp2-7 screen

# in user mode, setup PySSTV to convert pictures in wav mode
cd ~
mkdir PySSTV
python3 -m venv PySSTV/
cd PySSTV/
source bin/activate
pip install pysstv
```
## Specs to do
### Get the default shell

Should have a Serial interface on GPIO14(UART0_TXD) and GPIO15(UART0_RXD).
I'm using a cheat FTDI232, from anywhere.

### Enable secondary UART port

Should add this config parameters to `/boot/config.txt` :
```
dtoverlay=disable-bt
dtoverlay=uart1,txd1_pin=32,rxd1_pin=33
force_turbo=1
enable_uart=1
```

Now we can use GPIO12 and GPIO13 for a secondary serial port

## Usages

### chroot-to-pi.sh script
Use this script to chroot your system on another system.
